[proaudio] media-plugins/ll-plugins-9999 patch |
[ Thread Index |
Date Index
| More lists.tuxfamily.org/proaudio Archives
]
ll-plugins-9999 don't build correctly, because they're looking for
some headers from lv2-c++-tools under 'lv2cxx_common' instead of
under 'lv2-c++-tools'. I'm attaching a patch that seems to fix the
problem, although I'm not sure whether this is caused by trying to build
a git version of ll-plugins against a release version of lv2-c++-tools
or is a problem that should be reported upstream.
Index: ll-plugins-9999.ebuild
===================================================================
--- ll-plugins-9999.ebuild (revision 1686)
+++ ll-plugins-9999.ebuild (working copy)
@@ -33,6 +33,14 @@
# ar doesn't really like ldflags
sed -e 's:ar rcs $$@ $$^ $(LDFLAGS) $$($(2)_LDFLAGS):ar rcs $$@ $$^:' \
-i Makefile.template || die
+ sed -e 's/lv2cxx_common/lv2-c++-tools/' -i \
+ plugins/control2midi/control2midi.cpp \
+ plugins/arpeggiator/arpeggiator.cpp \
+ plugins/sineshaper/sineshaper.cpp \
+ plugins/beep/beep_gtk.cpp \
+ plugins/beep/beep.cpp \
+ plugins/klaviatur/klaviatur.cpp || die
+
}
src_compile(){